summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/tagtool/README8
-rw-r--r--audio/tagtool/doinst.sh4
-rw-r--r--audio/tagtool/slack-desc19
-rw-r--r--audio/tagtool/tagtool.SlackBuild54
-rw-r--r--audio/tagtool/tagtool.info8
5 files changed, 93 insertions, 0 deletions
diff --git a/audio/tagtool/README b/audio/tagtool/README
new file mode 100644
index 0000000000..1e38a803d3
--- /dev/null
+++ b/audio/tagtool/README
@@ -0,0 +1,8 @@
+Audio Tag Tool is a program to manage the information fields in MP3 and Ogg
+Vorbis files, commonly called tags. It is available under the GNU General
+Public Licence (GPL).
+Tag Tool can be used to edit tags one by one, but the most useful features
+are the ability to easily tag or rename hundreds of files at once, in any
+desired format.
+
+NOTE: tagtool requires id3lib which is available on SlackBuilds.org.
diff --git a/audio/tagtool/doinst.sh b/audio/tagtool/doinst.sh
new file mode 100644
index 0000000000..9ad0b734e0
--- /dev/null
+++ b/audio/tagtool/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/tagtool/slack-desc b/audio/tagtool/slack-desc
new file mode 100644
index 0000000000..a74a0818b3
--- /dev/null
+++ b/audio/tagtool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tagtool: tagtool (manage tagfiles for MP3 and Ogg Vorbis files)
+tagtool:
+tagtool: Audio Tag Tool is a program to manage the information fields in MP3
+tagtool: and Ogg Vorbis files, commonly called tags. It is available under
+tagtool: the GNU General Public Licence (GPL).
+tagtool:
+tagtool: http://pwp.netcabo.pt/paol/tagtool/
+tagtool:
+tagtool:
+tagtool:
+tagtool:
diff --git a/audio/tagtool/tagtool.SlackBuild b/audio/tagtool/tagtool.SlackBuild
new file mode 100644
index 0000000000..169f15bbde
--- /dev/null
+++ b/audio/tagtool/tagtool.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for tagtool
+# Written by scion (grbzks@gmail.com)
+set -e
+
+PRGNAM=tagtool
+VERSION=0.12.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README THANKS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/tagtool/tagtool.info b/audio/tagtool/tagtool.info
new file mode 100644
index 0000000000..7382afd0e4
--- /dev/null
+++ b/audio/tagtool/tagtool.info
@@ -0,0 +1,8 @@
+PRGNAM="tagtool"
+VERSION="0.12.3"
+HOMEPAGE="http://pwp.netcabo.pt/paol/tagtool/"
+DOWNLOAD="http://dl.sourceforge.net/tagtool/tagtool-0.12.3.tar.bz2"
+MD5SUM="447b3a505fee68a82f25dcda9377b676"
+MAINTAINER="Grigorios Bouzakis"
+EMAIL="grbzks@gmail.com"
+APPROVED="BP{k}"